Requests API
This page provides a reference of the available operations in the Requests API.
All operations must be prefixed with the correct datacenter URL for your tenant. All requests must be authenticated via an API key.
The following operations are available:
Get requests
Returns an array of user requests.
Request
GET {datacenter}/requests
| Name | Description | Type |
|---|---|---|
|
apikey |
The API key for connecting to your tenant. |
String |
All parameters can alternatively be passed as headers. All parameters are optional. If a parameter is passed both as a URL parameter and as a header, the URL parameter takes precedence.
| Name | Description | Type |
|---|---|---|
|
|
The ID of the first Default: The first available ID. |
Integer |
|
|
The maximum number of Default: 50 Maximum: 10000. If you need to fetch more than 10000 If the value is not a number, an empty array is returned. Warning: Do not consistently set this parameter to high numbers. If you do, you will quickly exceed your quota, and your account will be blocked for the rest of the day.
|
Integer |
|
|
Retrieve the latest Maximum: 10000 Default: All |
Integer |
|
|
If "true", return a detailed list of scan results. If "false", only return a summary. Default: "false". |
Boolean |
|
|
The approval state of the request. Allowed values are:
The values are not case-sensitive. The filter refers to the approval state, not to the Unknown values are silently ignored. The filter is then not applied, so more Default: All |
String, enum |
Response
200 - OK - Success response
The operation returns an array of JSON objects. Each object corresponds to one user request.
| Name | Description | Type |
|---|---|---|
|
|
The unique ID of the |
Integer |
|
|
The trace number with which the |
Integer |
|
|
The name of the sub-settings set which matches the |
String |
|
|
The type of the request. Possible values are:
|
String, enum |
|
|
The type of the request. Possible values are:
|
Integer |
|
|
The status of the request. Possible values are:
|
String, enum |
|
|
The status of the request. Possible values are:
|
Integer |
|
|
The reason the user gave when issuing the request. |
String |
|
|
The name of the administrator who approved the request. |
String |
|
|
The email address of the administrator who approved the request. |
String |
|
|
The reason the administrator gave for denying the request. |
String |
|
|
The name of the administrator who denied the request. |
String |
|
|
The email address of the administrator who denied the request. |
String |
|
|
The time when the request was sent, in local time. |
String, dateTime |
|
|
A link to the auditlog entry in the Admin By Request Portal. |
String |
|
|
Information about the user who sent the request. |
Object |
|
|
The log-in name of the user. |
String |
|
|
The full name of the user. |
String |
|
|
The email address that the user entered into the request form. |
String |
|
|
The phone number that the user entered into the request form. |
String |
|
|
Information about the computer from which the request was sent. |
Object |
|
|
The name of the computer. |
String |
|
|
The operating system of the computer. Possible values are:
|
String, enum |
|
|
The operating system of the computer. Possible values are:
|
Integer |
|
|
The vendor of the computer as it appears in the inventory. |
String |
|
|
The model of the computer as it appears in the inventory. |
String |
|
|
Information about the application that the user requested to run as administrator. |
Object |
|
|
The name of the file that the user wanted to execute. |
String |
|
|
The name of the application (not the file name) that the user wanted to execute. |
String |
|
|
The vendor who published the application that the user wanted to execute. |
String |
|
|
The version of the application that the user wanted to execute. |
String |
|
|
The check sum of the file that the user wanted to execute. |
String |
|
|
The result of the malware scan for the file. Possible values are:
|
String, enum |
|
|
The result of the malware scan for the file. Possible values are:
|
Integer |
|
|
The name of the recognized malware, if the file is malicious or suspicious. NULL if the file is clean. |
String |
|
|
The link to the report for the file on virustotal.com. |
String |
|
|
Information about the scan results returned by the different engines. Each scan result is an object in the array with the following properties: |
Array of Object |
|
|
The result of the malware scan for the file. Possible values are:
|
String |
|
|
The result of the malware scan for the file. Possible values are:
|
Integer |
|
|
The name of the malware detection engine that ran the scan. |
String |
|
|
The name of the recognized malware, if the file is malicious or suspicious. NULL if the file is clean. |
String |
Examples
Request: GET https://dc1api.adminbyrequest.com/requests
Response:
[
{
"scanResults": [],
"id": 58563354,
"traceNo": "39276120",
"settingsName": "Global",
"type": "Run As Admin",
"typeCode": 0,
"status": "Denied",
"statusCode": 3,
"application": {
"file": "cmd.exe",
"name": "Windows Command Processor",
"vendor": "Microsoft Corporation",
"version": "10.0.22621.1 (WinBuild.160101.0800)",
"sha256": "ED1358CB5F7A7E4FA21E6B07E60B4641AFF43F5602A0B3F6E",
"scanResult": "Clean",
"scanResultCode": 0,
"threat": null,
"virustotalLink": "https://www.virustotal.com/gui/file/ED1358CB5F7AF0D363C60B4641AFF43F5602A0B3F6E"
},
"user": {
"account": "jdoe",
"fullName": "John Doe",
"email": "johndoe@acme.com",
"phone": "123456787"
},
"computer": {
"name": "WIN0815",
"platform": "Windows",
"platformCode": 0,
"make": "Microsoft Corporation",
"model": "Office PC"
},
"reason": "Configuring things",
"approvedBy": null,
"approvedByEmail": null,
"deniedReason": "Dont do that.",
"deniedBy": "Adam Admin",
"deniedByEmail": "aadmin@acme.com",
"requestTime": "2026-10-09T12:30:27",
"auditlogLink": "https://eu2.adminbyrequest.com/AuditLog?Page=AppElevations&ID=39276120&ShowFilter=false"
},
{
"scanResults": [],
"id": 59060262,
"traceNo": "39773028",
"settingsName": "Global",
"type": "Run As Admin",
"typeCode": 0,
"status": "Pending approval",
"statusCode": 4,
"application": {
"file": "cmd.exe",
"name": "Windows Command Processor",
"vendor": "Microsoft Corporation",
"version": "10.0.22621.1 (WinBuild.160101.0800)",
"sha256": "ED1358CB5F7A7E4FA2160B4641AFF43F5602A0B3F6E",
"scanResult": "Clean",
"scanResultCode": 0,
"threat": null,
"virustotalLink": "https://www.virustotal.com/gui/file/ED1358CB5F7A7E4F3C60B4641AFF43F5602A0B3F6E"
},
"user": {
"account": "jdoe",
"fullName": "John Doe",
"email": "jdoe@acme.com",
"phone": "12345678"
},
"computer": {
"name": "WIN0815",
"platform": "Windows",
"platformCode": 0,
"make": "Microsoft Corporation",
"model": "Office PC"
},
"reason": "Troubleshooting",
"approvedBy": null,
"approvedByEmail": null,
"deniedReason": null,
"deniedBy": null,
"deniedByEmail": null,
"requestTime": "2026-10-28T07:43:34",
"auditlogLink": "https://eu2.adminbyrequest.com/AuditLog?Page=AppElevations&ID=39773028&ShowFilter=false"
}
]
Request: https://dc4api.adminbyrequest.com/requests?wantscandetails=true&last=1&status=pending
Response:
[
{
"scanResults": [
{
"scanResult": "Clean",
"scanResultCode": 0,
"engine": "AhnLab",
"threat": null
},
{
"scanResult": "Clean",
"scanResultCode": 0,
"engine": "ClamAV",
"threat": null
},
{
"scanResult": "Clean",
"scanResultCode": 0,
"engine": "K7",
"threat": null
},
{
"scanResult": "Clean",
"scanResultCode": 0,
"engine": "Lionic",
"threat": null
},
{
"scanResult": "Clean",
"scanResultCode": 0,
"engine": "Quick Heal",
"threat": null
},
{
"scanResult": "Clean",
"scanResultCode": 0,
"engine": "TACHYON",
"threat": null
},
{
"scanResult": "Clean",
"scanResultCode": 0,
"engine": "Varist",
"threat": null
}
],
"id": 59060262,
"traceNo": "39773028",
"settingsName": "Global",
"type": "Run As Admin",
"typeCode": 0,
"status": "Pending approval",
"statusCode": 4,
"application": {
"file": "cmd.exe",
"name": "Windows Command Processor",
"vendor": "Microsoft Corporation",
"version": "10.0.22621.1 (WinBuild.160101.0800)",
"sha256": "ED1358CB5F7A7E4FA214641AFF43F5602A0B3F6E",
"scanResult": "Clean",
"scanResultCode": 0,
"threat": null,
"virustotalLink": "https://www.virustotal.com/gui/file/ED1358CB5F7AD363C60B4641AFF43F5602A0B3F6E"
},
"user": {
"account": "jdoe",
"fullName": "John Doe",
"email": "jdoe@acme.com",
"phone": "12345678"
},
"computer": {
"name": "WIN0815",
"platform": "Windows",
"platformCode": 0,
"make": "Microsoft Corporation",
"model": "Office PC"
},
"reason": "Troubleshooting",
"approvedBy": null,
"approvedByEmail": null,
"deniedReason": null,
"deniedBy": null,
"deniedByEmail": null,
"requestTime": "2026-10-28T07:43:34",
"auditlogLink": "https://eu2.adminbyrequest.com/AuditLog?Page=AppElevations&ID=39773028&ShowFilter=false"
}
]
Get request
Returns the request with the specified ID.
Request
GET {datacenter}/requests/{id}
| Name | Description | Type |
|---|---|---|
|
apikey |
The API key for connecting to your tenant. |
String |
All parameters can alternatively be passed as headers. All parameters are optional. If a parameter is passed both as a URL parameter and as a header, the URL parameter takes precedence.
| Name | Description | Type |
|---|---|---|
|
|
If "true", return a detailed list of scan results. If "false", only return a summary. Default: "false". |
Boolean |
| Name | Description | Type |
|---|---|---|
|
|
The ID of the |
Integer |
Response
200 - OK - Success response
The operation returns the request with the specified ID as a JSON object.
| Name | Description | Type |
|---|---|---|
|
|
The unique ID of the |
Integer |
|
|
The trace number with which the |
Integer |
|
|
The name of the sub-settings set which matches the |
String |
|
|
The type of the request. Possible values are:
|
String, enum |
|
|
The type of the request. Possible values are:
|
Integer |
|
|
The status of the request. Possible values are:
|
String, enum |
|
|
The status of the request. Possible values are:
|
Integer |
|
|
The reason the user gave when issuing the request. |
String |
|
|
The name of the administrator who approved the request. |
String |
|
|
The email address of the administrator who approved the request. |
String |
|
|
The reason the administrator gave for denying the request. |
String |
|
|
The name of the administrator who denied the request. |
String |
|
|
The email address of the administrator who denied the request. |
String |
|
|
The time when the request was sent, in local time. |
String, dateTime |
|
|
A link to the auditlog entry in the Admin By Request Portal. |
String |
|
|
Information about the user who sent the request. |
Object |
|
|
The log-in name of the user. |
String |
|
|
The full name of the user. |
String |
|
|
The email address that the user entered into the request form. |
String |
|
|
The phone number that the user entered into the request form. |
String |
|
|
Information about the computer from which the request was sent. |
Object |
|
|
The name of the computer. |
String |
|
|
The operating system of the computer. Possible values are:
|
String, enum |
|
|
The operating system of the computer. Possible values are:
|
Integer |
|
|
The vendor of the computer as it appears in the inventory. |
String |
|
|
The model of the computer as it appears in the inventory. |
String |
|
|
Information about the application that the user requested to run as administrator. |
Object |
|
|
The name of the file that the user wanted to execute. |
String |
|
|
The name of the application (not the file name) that the user wanted to execute. |
String |
|
|
The vendor who published the application that the user wanted to execute. |
String |
|
|
The version of the application that the user wanted to execute. |
String |
|
|
The check sum of the file that the user wanted to execute. |
String |
|
|
The result of the malware scan for the file. Possible values are:
|
String, enum |
|
|
The result of the malware scan for the file. Possible values are:
|
Integer |
|
|
The name of the recognized malware, if the file is malicious or suspicious. NULL if the file is clean. |
String |
|
|
The link to the report for the file on virustotal.com. |
String |
|
|
Information about the scan results returned by the different engines. Each scan result is an object in the array with the following properties: |
Array of Object |
|
|
The result of the malware scan for the file. Possible values are:
|
String |
|
|
The result of the malware scan for the file. Possible values are:
|
Integer |
|
|
The name of the malware detection engine that ran the scan. |
String |
|
|
The name of the recognized malware, if the file is malicious or suspicious. NULL if the file is clean. |
String |
Example
{
"scanResults": [],
"id": 59060262,
"traceNo": "39773028",
"settingsName": "Global",
"type": "Run As Admin",
"typeCode": 0,
"status": "Pending approval",
"statusCode": 4,
"application": {
"file": "cmd.exe",
"name": "Windows Command Processor",
"vendor": "Microsoft Corporation",
"version": "10.0.22621.1 (WinBuild.160101.0800)",
"sha256": "ED1358CB5F7A7E4FA21E6B07EF1C6F665602A0B3F6E",
"scanResult": "Clean",
"scanResultCode": 0,
"threat": null,
"virustotalLink": "https://www.virustotal.com/gui/file/ED1358CB5F7A7E0B4641AFF43F5602A0B3F6E"
},
"user": {
"account": "jdoe",
"fullName": "John Doe",
"email": "jdoe@acme.com",
"phone": "12345678"
},
"computer": {
"name": "WIN0815",
"platform": "Windows",
"platformCode": 0,
"make": "Microsoft Corporation",
"model": "Office PC"
},
"reason": "Troubleshooting",
"approvedBy": null,
"approvedByEmail": null,
"deniedReason": null,
"deniedBy": null,
"deniedByEmail": null,
"requestTime": "2026-10-28T07:43:34",
"auditlogLink": "https://eu2.adminbyrequest.com/AuditLog?Page=AppElevations&ID=39773028&ShowFilter=false"
}
Approve request
Approves a request sent by a user. After approval, the request has the status "Open".
The change is processed asynchronously. If you call Get request immediately afterwards, the response may still show the previous status.
Request
PUT {datacenter}/requests/{id}
| Name | Description | Type |
|---|---|---|
|
apikey |
The API key for connecting to your tenant. |
String |
All parameters can alternatively be passed as headers. All parameters are optional.
| Name | Description | Type |
|---|---|---|
|
|
The email address of the administrator who approved the request. If the address does not belong to a known user of the portal, the request is still approved, but no administrator is recorded: |
String |
| Name | Description | Type |
|---|---|---|
|
|
The ID of the |
Integer |
Response
204 - No Content - Success response
The operation returns an empty response.
Deny request
Denies a request sent by a user.
The change is processed asynchronously. If you call Get request immediately afterwards, the response may still show the previous status.
Request
DELETE {datacenter}/requests/{id}
| Name | Description | Type |
|---|---|---|
|
apikey |
The API key for connecting to your tenant. |
String |
All parameters can alternatively be passed as headers. All parameters are optional.
| Name | Description | Type |
|---|---|---|
|
|
The email address of the administrator who denied the request. If the address does not belong to a known user of the portal, the request is still denied, but no administrator is recorded: |
String |
|
|
The reason why the administrator denied the request. It is returned as |
String |
| Name | Description | Type |
|---|---|---|
|
|
The ID of the |
Integer |
Response
204 - No Content - Success response
The operation returns an empty response.